New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Drop Python 3.3 support #46

Closed
richardotis opened this Issue Aug 4, 2016 · 1 comment

Comments

Projects
None yet
1 participant
@richardotis
Collaborator

richardotis commented Aug 4, 2016

It looks like building "clean" conda packages supporting Python 3.3 isn't possible anymore without leaning on pip, which is what we do on Travis CI. We can still test against it, but it's probably best to say 3.4 is the minimum supported version now.

@richardotis richardotis added the bug label Aug 4, 2016

@richardotis

This comment has been minimized.

Collaborator

richardotis commented Aug 4, 2016

On further thought, I think it is best to drop explicit Python 3.3 support altogether. There is no point in testing against a platform we can't support if something breaks.

@richardotis richardotis changed the title from Drop Python 3.3 conda packages to Drop Python 3.3 support Aug 4, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment